GNU bug report logs - #51335
29.0.50; Use warnings facility for reporting Gnus errors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Eric Abrahamsen <eric@HIDDEN>; dated Fri, 22 Oct 2021 17:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 4 Dec 2021 22:13:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 17:13:18 2021
Received: from localhost ([127.0.0.1]:55597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtdHS-0006Mi-0d
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 17:13:18 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtdHQ-0006MT-7K
 for 51335 <at> debbugs.gnu.org; Sat, 04 Dec 2021 17:13:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=lGPJeTxIAuV+znVUkTv6Np6ZYrmYcdJgR3++9tbXWq4=; b=mX01Dtyl33QZ9PqvVkdkm6n+2K
 +8D8NkZLa+5v3YkAh+QFjLW6h1BgPKPzZ56ULzC+Fgpe2TEEbmzxqasPbk0YAKXP1cDjEb0mwy2qX
 2xiowBws+jD/P2S3UPT+gf+wgNGyn2a++nEj9xibmfwtH1vrsF8WHF6mgaPlCh7BfkyA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtdHI-00010N-0B; Sat, 04 Dec 2021 23:13:10 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN>
 <87zgqh2dce.fsf@HIDDEN> <87k0hkjd8j.fsf@HIDDEN>
 <87wnkkayqd.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXNqF30y1yZe22+
 yb5tiVZWXU////+Xfhi4AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UMBBU7FhJEYTUAAAG2SURBVDjL
 ddTBkuIgEAZgQL2TzAskbbhnEuc+YnPfytLv/yr7d0DLlCzRsuSDTkOTGNu1myngcdnDGIOvM8Po
 Bk+md866wbmhQu8AY0/aOiLnxgodoiCWN2j4wd8K60ezTVge63cTblsbHv+BJbdh4cTtGSyyrfdP
 oAnw0wDJgNCARQR2b2WVQC24oV/GT/gRCU24TYSrwvS+jIUCxbGUVpiv64rPOrhAFOK1rNwjc8pR
 4sRESYFqKOJIQppNpEg0vSBynHTFQYgwCVwrOKWoqyotYv70hKzjRTdpS0yccoVQB2+230Q4p208
 wp/vPifJKBUOpbHe1H5ytoDsgOsJ5u85M2NFbL013vpyg41snAGsMzpAtwPRYL7OJ+FQQPfKl35s
 1fmROKQXdFGP+WmHi4T0m1kriHxJ4ygs8SZB77KDBeD8azFmXlIugH4kbCqsCpB0R7qasrYvRFrT
 oAtU0JubeT6VSNeLbjM7uds9q1fB8w37IXyW3+4Il0fSLeT9wL3DLBMCcd4LZY6vA03Tap85ytsY
 gO6XPcwrsD/2g30OrPGNcRrVemdf/fscM5hDK+8LlPUfuWmwd0aU4E4AAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjEtMTItMDRUMjE6NTk6MjIrMDA6MDC6Vv/2AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIx
 LTEyLTA0VDIxOjU5OjIyKzAwOjAwywtHSgAAAABJRU5ErkJggg==
X-Now-Playing: The Maytals's _This Is Reggae Music_: "Funky Kingston"
Date: Sat, 04 Dec 2021 23:13:07 +0100
In-Reply-To: <87wnkkayqd.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 04 Dec 2021 12:42:18 -0800")
Message-ID: <87h7boxbm4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: >
 Continuing
 a more piecemeal approach to this, here's a patch to change > the mail source
 error behavior. I'm floating it for review because it > involves removing
 a user-facing option. If this goes [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> Continuing a more piecemeal approach to this, here's a patch to change
> the mail source error behavior. I'm floating it for review because it
> involves removing a user-facing option. If this goes in, should that
> removal be mentioned in NEWS?

Looks OK to me.  And, yes, it should be mentioned in NEWS.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 4 Dec 2021 20:42:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 15:42:28 2021
Received: from localhost ([127.0.0.1]:55173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtbrY-00018x-Gs
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:42:28 -0500
Received: from mail.ericabrahamsen.net ([52.70.2.18]:53930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1mtbrW-00018e-Tb
 for 51335 <at> debbugs.gnu.org; Sat, 04 Dec 2021 15:42:27 -0500
Received: from localhost (c-71-197-232-41.hsd1.wa.comcast.net [71.197.232.41])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id E300EFF1C7;
 Sat,  4 Dec 2021 20:42:19 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1638650540;
 bh=aRvZv+e2c/Bp5fp2U/HVpBl9+8rlkd4CrUqyRPqPy3Y=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=WsIOQ3/lkbA/a8B6DNrOiTaC14J+ckh2Ko1EBC9jjUi5AOZLicihV5rhxw/82a8ET
 RQ/bH5uSCsDja9SxT4Qdhyd6wlVf26FL6LCs2401KOm3Q0r75Zpnyv8g9DY9LvwjDk
 7Q/t82Uf1gx4uukWAM01UW8axgVHx/no5rQA4KM8=
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN>
 <87zgqh2dce.fsf@HIDDEN> <87k0hkjd8j.fsf@HIDDEN>
Date: Sat, 04 Dec 2021 12:42:18 -0800
In-Reply-To: <87k0hkjd8j.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 07 Nov 2021 14:40:12 +0100")
Message-ID: <87wnkkayqd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Continuing a more piecemeal approach to this, here's a patch to change
the mail source error behavior. I'm floating it for review because it
involves removing a user-facing option. If this goes in, should that
removal be mentioned in NEWS?


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Use-gnus-error-to-report-mail-source-failures.patch

From 9d4359a72cd042a6357773c62fb70fc0c678a3cf Mon Sep 17 00:00:00 2001
From: Eric Abrahamsen <eric@HIDDEN>
Date: Sat, 4 Dec 2021 12:37:14 -0800
Subject: [PATCH] Use gnus-error to report mail-source failures

* lisp/gnus/mail-source.el (mail-source-fetch): Instead of querying
the user on mail sources errors -- in effect asking "do you want to
continue, or halt the process?" -- log the error with `gnus-error',
severity 5. The query didn't provide any meaningful control; error
reporting is all that's needed.
(mail-source-ignore-errors): Obsolete this option; users can see the
error or not by configuring `gnus-verbose'.
* doc/misc/gnus.texi (Mail Source Customization): Remove mention of
the above option from the manual.
---
 doc/misc/gnus.texi       |  4 ----
 lisp/gnus/mail-source.el | 19 +++++++------------
 2 files changed, 7 insertions(+), 16 deletions(-)

diff --git a/doc/misc/gnus.texi b/doc/misc/gnus.texi
index a18afec02e..6ffc057ba1 100644
--- a/doc/misc/gnus.texi
+++ b/doc/misc/gnus.texi
@@ -15447,10 +15447,6 @@ Mail Source Customization
 files.  This variable only applies when
 @code{mail-source-delete-incoming} is a positive number.
 
-@item mail-source-ignore-errors
-@vindex mail-source-ignore-errors
-If non-@code{nil}, ignore errors when reading mail from a mail source.
-
 @item mail-source-directory
 @vindex mail-source-directory
 Directory where incoming mail source files (if any) will be stored.  The
diff --git a/lisp/gnus/mail-source.el b/lisp/gnus/mail-source.el
index af0a198376..efdddea69f 100644
--- a/lisp/gnus/mail-source.el
+++ b/lisp/gnus/mail-source.el
@@ -224,12 +224,9 @@ mail-sources
 					   (const :format "" :value :plugged)
 					   (boolean :tag "Plugged"))))))))
 
-(defcustom mail-source-ignore-errors nil
-  "Ignore errors when querying mail sources.
-If nil, the user will be prompted when an error occurs.  If non-nil,
-the error will be ignored."
-  :version "22.1"
-  :type 'boolean)
+(make-obsolete-variable 'mail-source-ignore-errors
+                        "configure `gnus-verbose' instead"
+                        "29.1")
 
 (defcustom mail-source-primary-source nil
   "Primary source for incoming mail.
@@ -554,18 +551,16 @@ mail-source-fetch
 		 (condition-case err
 		     (funcall function source callback)
 		   (error
-		    (if (and (not mail-source-ignore-errors)
-			     (not
-			      (yes-or-no-p
-			       (format "Mail source %s error (%s).  Continue? "
+                    (gnus-error
+                     5
+                     (format "Mail source %s error (%s)"
 				       (if (memq ':password source)
 					   (let ((s (copy-sequence source)))
 					     (setcar (cdr (memq ':password s))
 						     "********")
 					     s)
 					 source)
-				       (cadr err)))))
-		      (error "Cannot get new mail"))
+				       (cadr err)))
 		    0)))))))))
 
 (declare-function gnus-message "gnus-util" (level &rest args))
-- 
2.34.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 7 Nov 2021 13:40:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 07 08:40:25 2021
Received: from localhost ([127.0.0.1]:52082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjiPJ-0001TL-5I
	for submit <at> debbugs.gnu.org; Sun, 07 Nov 2021 08:40:25 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mjiPG-0001T6-Oh
 for 51335 <at> debbugs.gnu.org; Sun, 07 Nov 2021 08:40:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=XMmQBYJscNuwlCSm3oMpU2Tx9pbT+ZUbIgLO+3iJTcs=; b=lPh7+S2LwvPqzqOo1puuDIhsOf
 Cgfs+NBQFabmOtRjVtistDjdtHAI5OqJGdzT8S2MXuAQOb540gjUMi3WThVt1tW19RHZ4GdXd0Ymd
 smrGslVwuFsXN4dGB6KXBmyoy5Ukx5L9C11K8U/HXUd0Gd2Ty9hPQbxdxfSqghRZHk0Q=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mjiP8-0000jl-DZ; Sun, 07 Nov 2021 14:40:16 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN>
 <87zgqh2dce.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEVXTlJKO0SjoVHZ
 1tSfSk8oJCj///8ZqJQYAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+ULBw0DATSo2T8AAAGxSURBVDjL
 ddPNcuMgDAdwcMgdteaeEvfeifcBTEa92zur93+V/sWHBzJdDrHDb4SEwMb8b/j6JPsy08DY8man
 eHsNyuOyruutn7BE+bnq+CXlJcPjZR1mXstgNjRKhQVA/UrT414A9VNPl68JGWpElrIL1+BPhTw8
 7LmWpQbQFac+eQ+uws30gMptWWl12wCg9zz/heBtFLq3XqENaYjB/IcvwEPIYXK2DkSOvg4F3vQ4
 xioU2qkP8wDbXt2wV0a9JqM3qQso4JI34fBpti+ArmvQMqe2kgNYcrzNKC0sfELeh/FbAuCuVdA2
 G4LYZAEpZKjXwtCsBYcTyqVxelB4PeSEOl9O0MsJuk92XIECIBFg87WgCtdjRiLBR+LNVWRnfpal
 LM1bOQlvBeNfjPlU9DcFyaDzQTL4iG9Iz2nXVuv0Vd4A7qkQgoifIn8D8P43mpkzIKVC/BSha5A9
 IhrwYSwO3FRAxFEB+zrQgZghBNtgAWj3AN9y2EAFOC56a72upMnPHHqxUvukw1lVBjRviqZeOxEr
 U4FECrfaT4w9NqA3JKYzZKqAv5f1EVOTHXX8AJ7ugDtRRlTiAAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIxLTExLTA3VDEzOjAzOjAxKzAwOjAwOU18VgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMS0w
 N1QxMzowMzowMSswMDowMEgQxOoAAAAASUVORK5CYII=
X-Now-Playing: Moon-Drenched's _Moon-Drenched_: "Spoofing"
Date: Sun, 07 Nov 2021 14:40:12 +0100
In-Reply-To: <87zgqh2dce.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Sat, 06 Nov 2021 14:17:37 -0700")
Message-ID: <87k0hkjd8j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > Well
 that's
 mostly because I've turned `gnus-verbose' up to 10, and also > introduced
 an option `gnus-log-all-messages' which doubles > `gnus-message' output to
 the logging buffer. That is nil by de [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> Well that's mostly because I've turned `gnus-verbose' up to 10, and also
> introduced an option `gnus-log-all-messages' which doubles
> `gnus-message' output to the logging buffer. That is nil by default, but
> I've set it to t here, so this is absolutely as loud as the logging
> could possibly be.

=F0=9F=99=80

> If we adopt something like this, I think it would be worth doing a bit
> of shuffling regarding which messages are sent through `gnus-error' and
> which through `gnus-message'. Probably I'd introduce a `gnus-log'
> function, have `gnus-error' call that, and replace some `gnus-message'
> calls with `gnus-log'.
>
> Ideally there would be no reason to have the option
> `gnus-log-all-messages' at all, and the "Sorting threads..." messages
> would only ever be messages.

This reminds me -- I've been wondering whether we should basically drop
all of those ... very verbose messaging thingies and use
`with-delayed-message' instead everywhere.  That is, even with my low
verbosity message, this is what I'm getting when I hit `g':

Checking new news...
nnimap quimby.gnus.org splitting mail...done
nnimap read 0k from quimby.gnus.org
Reading active file from mltest via nnml...
Reading incoming mail from file... [2 times]
nnml: Reading incoming mail (no new mail)...done
Reading active file from mltest via nnml...done
Reading active file from archive via nnfolder...done
Reading active file from archive via nnfolder...done
Reading active file via nndraft...done
Reading active file via nnmbox...done
Checking new news...done

Except the nnimap one, all the rest are instantaneous and just flash
past me.  But we output them because we don't know whether a backend is
slow or not.  With `with-delayed-message' we could avoid all the
"Reading active" messages altogether in a normal setup, but they would
appear if the backend was slow.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2021 21:18:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 17:18:03 2021
Received: from localhost ([127.0.0.1]:50911 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjT4c-0007Pz-QI
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 17:18:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:45882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjT4a-0007Pa-D3
 for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 17:18:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55364)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjT4a-0007xt-6e
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 17:18:00 -0400
Received: from ciao.gmane.io ([116.202.254.214]:57858)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjT4Y-00080N-Cb
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 17:17:59 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mjT4V-0000mF-1U
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 22:17:55 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50;
 Use warnings facility for reporting Gnus errors
Date: Sat, 06 Nov 2021 14:17:37 -0700
Message-ID: <87zgqh2dce.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:6YBABTCOSE7rKuQ1ujna4RBqRGc=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -1
X-Spam_score: -0.2
X-Spam_bar: /
X-Spam_report: (-0.2 / 5.0 requ) BAYES_00=-1.9, FAKE_REPLY_C=1.486,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> I will suppress the urge
>> to apologize for my *Group* buffer appearance, I'm in the middle of some
>> home improvements.
>
> 😋
>
>> Lastly, the messages coming from Gnus are very much set up for regular
>> message display, in particular the "<message>...done" pattern, which
>> doesn't work with the warnings setup.
>
> I'm having a bit of a problem with imagining the use case for that bit.
> I don't think any users will ever want to look at a log/warning buffer
> containing "Sorting threads..." etc -- it looks like a debugging tool
> that's should be totally internal and not involve *Warnings* at all.
>
> I don't think any other packages do anything like that with their
> logging facilities.

Well that's mostly because I've turned `gnus-verbose' up to 10, and also
introduced an option `gnus-log-all-messages' which doubles
`gnus-message' output to the logging buffer. That is nil by default, but
I've set it to t here, so this is absolutely as loud as the logging
could possibly be.

If we adopt something like this, I think it would be worth doing a bit
of shuffling regarding which messages are sent through `gnus-error' and
which through `gnus-message'. Probably I'd introduce a `gnus-log'
function, have `gnus-error' call that, and replace some `gnus-message'
calls with `gnus-log'.

Ideally there would be no reason to have the option
`gnus-log-all-messages' at all, and the "Sorting threads..." messages
would only ever be messages.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 6 Nov 2021 18:18:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 14:18:51 2021
Received: from localhost ([127.0.0.1]:50527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjQHD-0003yX-Ac
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 14:18:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mjQHB-0003yA-Si
 for 51335 <at> debbugs.gnu.org; Sat, 06 Nov 2021 14:18:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=YzN61hK1G65ekXVYKZfvwoOr6jxJOwODmrBwKrsXSFE=; b=HNL9PCgPHoFrE7KxJhIxk5h/3g
 M+HbYFXs0kZNGtD+quyEt5knzdniraqBF+Q69mE7u5nTnvkxdMZ9JQPCyXwW3whmOMCdEXGHhJQQs
 Vmtg0kVtTT1Ao2VUVstj8e6CbTpGq4jfiAsYr0Y656hrn/8NkVLBlS0zeUUg3y8j1/Mo=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mjQH3-0000PQ-0S; Sat, 06 Nov 2021 19:18:43 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN> <87o87e46bv.fsf@HIDDEN>
 <87k0i13qng.fsf@HIDDEN> <87ilxibozw.fsf@HIDDEN>
 <87wnlm40bh.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX6+vfn5NaqpZnb
 39XW1M3UyraZiHl6bGiqwqHItqn////0osDuAAAAAWJLR0QKaND0VgAAAAd0SU1FB+ULBhIMO9r6
 n2oAAAGqSURBVDjL5dO/b5tAFAfwo7iVsnE5GDL2yTZmAx1/QBDvIjGCeFUZ6yFWVoawe/KYnkzS
 +297gIWr2lWkrP2KBT53737owdhlHM75J+Ym/ErSW+Yu7jPMM0Ss7Rg7KuEyRcfCFwi3XbsL2/D7
 4bDZHw77zQa4BSfFLEUPpe85QiSJ5LkUwwyXiZhJKWKZ5jKP0yyVUk7geENlLxaMc/sI4Qnnjrns
 Wj4Awb/A/zhUYKqoivT2cXoXJwgKMK9hB78MxH/CTQtak0H9VGg9Cp/grWsN6a2OnrSJjme4gQ52
 PYVR/W2JqvfOMy7zLgAYQ82qJ6KxEvMmuFuvGqo0ENk9LM/g2OHUdLCOegif4X6GIDCqVgA7gHXX
 6q8zHH1jqr6BRwB7eoi8Eyx6wmpVgI603tmC8GNe/HyrDrd96F3CnAlcbY4qS+wG8rSA9csMDxFm
 BZXcR1S1GQ8ygrMMetvIvm/BRpl5V9zWCWhIjaanpjxB2vwU8nb4rBSRoqae4DMdkWcc/ZKycpho
 +niEoOQ4/i0ZV4R7WNn7ee8c/ycs+NXEtkuH2F79K78BdqdwbmQ0LlMAAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjEtMTEtMDZUMTg6MTI6NTkrMDA6MDAlr6aZAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIx
 LTExLTA2VDE4OjEyOjU5KzAwOjAwVPIeJQAAAABJRU5ErkJggg==
X-Now-Playing: Floating Points with Pharoah Sanders and the London Symphony
 Orchestra's _Promises_: "Movement 1"
Date: Sat, 06 Nov 2021 19:18:36 +0100
In-Reply-To: <87wnlm40bh.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 05 Nov 2021 17:03:46 -0700")
Message-ID: <87tugpb11f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Eric Abrahamsen <eric@HIDDEN> writes: > I will
    suppress the urge > to apologize for my *Group* buffer appearance, I'm in
    the middle of some > home improvements. 😋 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> I will suppress the urge
> to apologize for my *Group* buffer appearance, I'm in the middle of some
> home improvements.

=F0=9F=98=8B

> Lastly, the messages coming from Gnus are very much set up for regular
> message display, in particular the "<message>...done" pattern, which
> doesn't work with the warnings setup.

I'm having a bit of a problem with imagining the use case for that bit.
I don't think any users will ever want to look at a log/warning buffer
containing "Sorting threads..." etc -- it looks like a debugging tool
that's should be totally internal and not involve *Warnings* at all.

I don't think any other packages do anything like that with their
logging facilities.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Nov 2021 00:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 05 20:04:04 2021
Received: from localhost ([127.0.0.1]:47675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mj9Bk-0001zg-Ir
	for submit <at> debbugs.gnu.org; Fri, 05 Nov 2021 20:04:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:56448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mj9Bj-0001zZ-8x
 for submit <at> debbugs.gnu.org; Fri, 05 Nov 2021 20:04:03 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47352)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mj9Bi-0005dn-1m
 for bug-gnu-emacs@HIDDEN; Fri, 05 Nov 2021 20:04:03 -0400
Received: from ciao.gmane.io ([116.202.254.214]:41172)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mj9Be-0002wu-KB
 for bug-gnu-emacs@HIDDEN; Fri, 05 Nov 2021 20:04:01 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mj9Bb-00068L-Jt
 for bug-gnu-emacs@HIDDEN; Sat, 06 Nov 2021 01:03:55 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50;
 Use warnings facility for reporting Gnus errors
Date: Fri, 05 Nov 2021 17:03:46 -0700
Message-ID: <87wnlm40bh.fsf@HIDDEN>
References: <87sfwtxa6w.fsf@HIDDEN> <87o87e46bv.fsf@HIDDEN>
 <87k0i13qng.fsf@HIDDEN> <87ilxibozw.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:YBJOOMR78iARznmxZxXCuknaytI=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> I haven't changed how `gnus-verbose' works, so that filter does the same
>> thing it always has. The only real difference is that messages/errors go
>> into a dedicated buffer, and the user has the option to keep the buffer
>> hidden (the default), pop it up with a command, or fit it into their
>> existing Gnus window configuration however they like.
>
> Sounds good.

Well, I'm about 75% happy with this. I've attached both the patch I'm
running, and a screenshot of my *Group* configuration with the logging
window visible (I've set `gnus-verbose' to 10). I will suppress the urge
to apologize for my *Group* buffer appearance, I'm in the middle of some
home improvements.

The rightmost blob is the warning category: the "(gnus)". With fuller
adoption it might look like "(gnus nntp)" or "(gnus draft)" or "(gnus
search)", etc. I've made it so `gnus-add-timestamp-to-message' also adds
a timestamp here, though that's not activated in the screenshot.

The main awkwardness come from the fact that warnings.el is kind of set
up for you to incorporate it into other packages, but kind of not. You
can opt to split warnings off into your own buffer, which is great. But
in this case, whether and how warnings are logged and/or displayed
should be mostly controlled by Gnus' existing mechanisms (window
configuration and `gnus-verbose'), and I'm fighting warnings.el on that:

- `warning-suppress-types' should belong solely to the user, but I have
  to push `(gnus)' onto it to shut off automatic display, and move
  display control to Gnus's own knobs.
- There's no :info warning level, and it's unclear if `warning-levels'
  is fair game for packages to fool with. Instructions are given, but
  pushing your own values there will mess up eg `warning-numeric-level',
  and it's hard to know if it's really okay.
- The biggest eyesore in the screenshot is the acres of "disable showing
  disable logging" buttons, which are hardcoded. Again, Gnus has its own
  knobs for these.

Lastly, the messages coming from Gnus are very much set up for regular
message display, in particular the "<message>...done" pattern, which
doesn't work with the warnings setup. If we only use delayed warnings
then each time the warnings are output it runs `delayed-warnings-hook',
which runs `collapse-delayed-warnings', which might be an okay place to
collapse the "...done" lines into one. That hook is supposed to run as
part of the `post-command-hook', though, and it doesn't always run, and
I haven't figured out why yet.

All in all, it nearly works :( Probably there would need to be some
small design changes to warnings.el to make it nice. I still think this
or something like it is worth doing.

Eri


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename=screenshot.png
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-WIP-on-using-warnings-in-Gnus.patch

From c56bc92f9b41df5b302606458697cd49a0f98762 Mon Sep 17 00:00:00 2001
From: Eric Abrahamsen <eric@HIDDEN>
Date: Fri, 22 Oct 2021 10:44:26 -0700
Subject: [PATCH] WIP on using warnings in Gnus

---
 lisp/gnus/gnus-start.el  |  1 +
 lisp/gnus/gnus-util.el   | 61 ++++++++++++++++++++++++++--------------
 lisp/gnus/gnus-win.el    |  1 +
 lisp/gnus/gnus.el        |  7 ++---
 lisp/gnus/mail-source.el | 21 ++++++--------
 lisp/gnus/nnmail.el      |  2 +-
 6 files changed, 55 insertions(+), 38 deletions(-)

diff --git a/lisp/gnus/gnus-start.el b/lisp/gnus/gnus-start.el
index 606bd3a39a..ffbe656c14 100644
--- a/lisp/gnus/gnus-start.el
+++ b/lisp/gnus/gnus-start.el
@@ -1603,6 +1603,7 @@ gnus-get-unread-articles
 	 (type-cache nil)
 	 (gnus-agent-article-local-times 0)
 	 (archive-method (gnus-server-to-method "archive"))
+         (warning-series t)
 	 info group active method cmethod
 	 method-type method-group-list entry)
     (gnus-message 6 "Checking new news...")
diff --git a/lisp/gnus/gnus-util.el b/lisp/gnus/gnus-util.el
index a777157f89..915ef5aee8 100644
--- a/lisp/gnus/gnus-util.el
+++ b/lisp/gnus/gnus-util.el
@@ -35,6 +35,7 @@
 (eval-when-compile (require 'cl-lib))
 
 (require 'seq)
+(require 'warnings)
 (require 'time-date)
 (require 'text-property-search)
 
@@ -440,6 +441,12 @@ gnus-add-timestamp-to-message
 		       :value t)
 		 (const :tag "No timestamp" nil)))
 
+(defcustom gnus-log-all-messages nil
+  "When non-nil, echo `gnus-message' messages to \"*Gnus Log*\"."
+  :version "29.1"
+  :group 'gnus-start
+  :type 'boolean)
+
 (eval-when-compile
   (defmacro gnus-message-with-timestamp-1 (format-string args)
     (let ((timestamp '(format-time-string "%Y%m%dT%H%M%S.%3N> " time)))
@@ -474,7 +481,18 @@ gnus-add-timestamp-to-message
 	       (t
 		(apply #'message ,format-string ,args)))))))
 
-(defvar gnus-action-message-log nil)
+(defun gnus-setup-logging ()
+  ;; We suppress the display of all Gnus warnings: they go to a
+  ;; separate buffer, and should only be displayed as part of Gnus'
+  ;; own window display routines (or explicitly with
+  ;; `gnus-display-log').
+  (cl-pushnew '(gnus) warning-suppress-types :test #'equal)
+  (cl-pushnew '(:gnus-info "%s ") warning-levels :test #'equal))
+
+(defun gnus-log-with-timestamp (_severity warning-entry)
+  (when gnus-add-timestamp-to-message
+    (insert (format-time-string "%Y%m%dT%H%M%S> " (current-time))))
+  warning-entry)
 
 (defun gnus-message-with-timestamp (format-string &rest args)
   "Display message with timestamp.  Arguments are the same as `message'.
@@ -493,33 +511,22 @@ gnus-message
       (let ((message
 	     (if gnus-add-timestamp-to-message
 		 (apply #'gnus-message-with-timestamp args)
-	       (apply #'message args))))
-	(when (and (consp gnus-action-message-log)
-		   (<= level 3))
-	  (push message gnus-action-message-log))
-	message)
+	       (apply #'message args)))
+            (warning-prefix-function #'gnus-log-with-timestamp))
+	(when gnus-log-all-messages
+          (display-warning '(gnus) message :gnus-info "*Gnus Log*"))
+        message)
     ;; We have to do this format thingy here even if the result isn't
     ;; shown - the return value has to be the same as the return value
     ;; from `message'.
     (apply #'format-message args)))
 
-(defun gnus-final-warning ()
-  (when (and (consp gnus-action-message-log)
-	     (setq gnus-action-message-log
-		   (delete nil gnus-action-message-log)))
-    (message "Warning: %s"
-	     (mapconcat #'identity gnus-action-message-log "; "))))
-
 (defun gnus-error (level &rest args)
-  "Beep an error if LEVEL is equal to or less than `gnus-verbose'.
+  "Log an error if LEVEL is equal to or less than `gnus-verbose'.
 ARGS are passed to `message'."
-  (when (<= (floor level) gnus-verbose)
-    (apply #'message args)
-    (ding)
-    (let (duration)
-      (when (and (floatp level)
-		 (not (zerop (setq duration (* 10 (- level (floor level)))))))
-	(sit-for duration))))
+  (when (<= level gnus-verbose)
+    (let ((warning-prefix-function #'gnus-log-with-timestamp))
+      (delay-warning '(gnus) (apply #'message args) :error "*Gnus Log*")))
   nil)
 
 (defun gnus-split-references (references)
@@ -1252,6 +1259,18 @@ gnus-create-info-command
     (setq gnus-info-buffer (current-buffer))
     (gnus-configure-windows 'info)))
 
+(defun gnus-display-log ()
+  "Pop up a window displaying the *Gnus Log* buffer."
+  (interactive)
+  ;; We just use plain `display-buffer' here.  If the user wants to
+  ;; compose the log buffer as part of a Gnus window configuration,
+  ;; they can do that in `gnus-buffer-configuration'.  If they want to
+  ;; control how this display works, they can configure
+  ;; `display-buffer-alist'.
+  (if (gnus-buffer-live-p "*Gnus Log*")
+      (display-buffer "*Gnus Log*")
+    (message "No log to display")))
+
 (defun gnus-not-ignore (&rest _args)
   t)
 
diff --git a/lisp/gnus/gnus-win.el b/lisp/gnus/gnus-win.el
index 8ac4e39fa5..9fafe88bcf 100644
--- a/lisp/gnus/gnus-win.el
+++ b/lisp/gnus/gnus-win.el
@@ -188,6 +188,7 @@ gnus-window-to-buffer
     (score-trace . "*Score Trace*")
     (split-trace . "*Split Trace*")
     (info . gnus-info-buffer)
+    (log . "*Gnus Log*")
     (category . gnus-category-buffer)
     (article-copy . gnus-article-copy)
     (draft . gnus-draft-buffer)
diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index dbbbb71e57..6f420b7bd8 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -48,7 +48,6 @@ gnus-spam-resend-to
 (defvar gnus-ham-resend-to)
 (defvar gnus-spam-process-newsgroups)
 
-
 (defgroup gnus nil
   "The coffee-brewing, all singing, all dancing, kitchen sink newsreader."
   :group 'news
@@ -4203,9 +4202,9 @@ gnus
 	      (subr-native-elisp-p (symbol-function 'gnus)))
     (message "You should compile Gnus")
     (sit-for 2))
-  (let ((gnus-action-message-log (list nil)))
-    (gnus-1 arg dont-connect child)
-    (gnus-final-warning)))
+  (gnus-setup-logging)
+  (let ((warning-series t))
+    (gnus-1 arg dont-connect child)))
 
 (declare-function debbugs-gnu "ext:debbugs-gnu"
 		  (severities &optional packages archivedp suppress tags))
diff --git a/lisp/gnus/mail-source.el b/lisp/gnus/mail-source.el
index af0a198376..c2ec48cc86 100644
--- a/lisp/gnus/mail-source.el
+++ b/lisp/gnus/mail-source.el
@@ -554,18 +554,15 @@ mail-source-fetch
 		 (condition-case err
 		     (funcall function source callback)
 		   (error
-		    (if (and (not mail-source-ignore-errors)
-			     (not
-			      (yes-or-no-p
-			       (format "Mail source %s error (%s).  Continue? "
-				       (if (memq ':password source)
-					   (let ((s (copy-sequence source)))
-					     (setcar (cdr (memq ':password s))
-						     "********")
-					     s)
-					 source)
-				       (cadr err)))))
-		      (error "Cannot get new mail"))
+		    (unless mail-source-ignore-errors
+		      (error "Mail source %s error (%s)"
+                             (if (memq ':password source)
+                                 (let ((s (copy-sequence source)))
+                                   (setcar (cdr (memq ':password s))
+	                                   "********")
+                                   s)
+                               source)
+                             (cadr err)))
 		    0)))))))))
 
 (declare-function gnus-message "gnus-util" (level &rest args))
diff --git a/lisp/gnus/nnmail.el b/lisp/gnus/nnmail.el
index bcf01cfa9e..a9a778f458 100644
--- a/lisp/gnus/nnmail.el
+++ b/lisp/gnus/nnmail.el
@@ -1842,7 +1842,7 @@ nnmail-get-new-mail-1
 							    src)))
 			      ansym))))
 		      ((error quit)
-		       (message "Mail source %s failed: %s" source cond)
+		       (gnus-error 5 cond)
 		       0)))
 	  (cl-incf total new)
 	  (cl-incf i)))
-- 
2.33.1


--=-=-=--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 27 Oct 2021 13:01:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 27 09:01:51 2021
Received: from localhost ([127.0.0.1]:48658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mfiYw-00048N-Tq
	for submit <at> debbugs.gnu.org; Wed, 27 Oct 2021 09:01:51 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mfiYt-000486-TT
 for 51335 <at> debbugs.gnu.org; Wed, 27 Oct 2021 09:01:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yTMgCaA9aJX1KrSLxrYMWdzpekICBaYiIRXtLqLpaC0=; b=ZLD/aFd/F0dkSjeWQ17gtlfGP/
 TgfwIT4W0qd8qOS3+dUvFVhy9ZyeadYlazTS/xYilFrqbzINMdtWCmmUTOYrGiAC4je6oQIDZhvTF
 nCg7sCxrIHcw7zLjOta+WtnKmU2HWnGLHD+1zgVNK+ym5R3OAryJqPE6kReSUwUStJBc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mfiYl-0005ws-Mk; Wed, 27 Oct 2021 15:01:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN> <87o87e46bv.fsf@HIDDEN>
 <87k0i13qng.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEV7YWGAZWChdDdz
 T02DW0WUaTyLY0O/jS3////xjG5rAAAAAWJLR0QIht6VegAAAAd0SU1FB+UKGwwnNcKZZ4wAAAGo
 SURBVDjLdZRtbsMgDIZT7QI7wqRt2v/aYf9nygGWNQeoCVfo9WcbA0mlWiopPP6I4SXTVO3kz9fT
 6U2fLxO4xWowz+8272BYfgaYngE2YCOgeKljlIGDASsVK5VfIIjqBdO21JVmGBOw1Qg1ybDN5pPm
 jNHXSNfOlkEASTLegRmKA/HwELL6nBxEyKGV1uFjIY/41G1A1ggUlxt759c7SXBIGYh0P4IDomsR
 8KWtspbBBmruH50yCquAGsCNqL6WbXyPIB0QBiDvzIZQ/3iDCL0O1i3YBoDGLWL2PiRFglok2LSB
 COnCNRlaUGlnnlZGGJng1sVQgL5tq4oR7gARLnoqpfARzLKtUc8y3VpXTVekOpPi7WCarmYgzqKQ
 1qkAE5Eu4VFG02HWNWE1RHzoYggHAFfJc+Ym4Ye3El/s+urAJSog4Si+N2mDNnCJ5gi7F+U2m4g1
 cT+sdaRaII0I3NVgDr0+0qF4vYAyFBqXSOSTknkS7d/PIuTSEc73BR+B3Xk6H6/ihB8y/lFT5wBh
 latZZHHLELJILFvHrkT8XTPaxyWl+o2Bfy5i+pILZg5PAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIx
 LTEwLTI3VDEyOjM5OjUzKzAwOjAwtrpcyQAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0xMC0yN1Qx
 MjozOTo1MyswMDowMMfn5HUAAAAASUVORK5CYII=
X-Now-Playing: Aksak Maboul's _Figures (2)_: "Ins Bleistiftgebiet"
Date: Wed, 27 Oct 2021 15:01:39 +0200
In-Reply-To: <87k0i13qng.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Mon, 25 Oct 2021 11:28:35 -0700")
Message-ID: <87ilxibozw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > I haven't
 changed how `gnus-verbose' works, so that filter does the same > thing it
 always has. The only real difference is that messages/errors go > into a
 dedicated buffer, and the user has the op [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> I haven't changed how `gnus-verbose' works, so that filter does the same
> thing it always has. The only real difference is that messages/errors go
> into a dedicated buffer, and the user has the option to keep the buffer
> hidden (the default), pop it up with a command, or fit it into their
> existing Gnus window configuration however they like.

Sounds good.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Oct 2021 18:33:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 14:33:40 2021
Received: from localhost ([127.0.0.1]:44278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mf4my-00077R-O3
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 14:33:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:52178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mf4mx-00077J-4O
 for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 14:33:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60814)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mf4mw-00029E-4K
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 14:33:38 -0400
Received: from ciao.gmane.io ([116.202.254.214]:59280)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mf4mu-0002CR-NR
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 14:33:37 -0400
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1mf4mo-0008oW-NQ
 for bug-gnu-emacs@HIDDEN; Mon, 25 Oct 2021 20:33:30 +0200
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50;
 Use warnings facility for reporting Gnus errors
Date: Mon, 25 Oct 2021 11:33:22 -0700
Message-ID: <87fssp3qfh.fsf@HIDDEN>
References: <87sfwtxa6w.fsf@HIDDEN> <87o87e46bv.fsf@HIDDEN>
 <87k0i13qng.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Cancel-Lock: sha1:MWzrMYldR7KvFJbLyqfTZ9+KtRo=
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Eric Abrahamsen <eric@HIDDEN> writes:

> On 10/24/21 20:37 PM, Lars Ingebrigtsen wrote:
>> Eric Abrahamsen <eric@HIDDEN> writes:
>>
>>> - Calls `ding'. This function returns nil on my system, dunno if it does
>>>   anything on other systems.
>>
>> (ding) gives a beep and/or flashes the "visual bell", but many people
>> has switched off both -- so you get neither.
>>
>>> That means there are only
>>> three places where the `message' isn't immediately swallowed by whatever
>>> comes next (and there's almost always another message coming next),
>>> which really means there are only three places where `gnus-error' does
>>> anything different from `gnus-message'.
>>
>> Well, it depends on how you've configured your messaging level...
>
> But both `gnus-error' and `gnus-message' consult the same verbosity
> option, so they're not really much different.

Though to be clear I'm not advocating getting rid of either of these
now, nothing that drastic. I'd like to put the basics in place, get some
feedback from users, and see what makes sense.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 25 Oct 2021 18:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 25 14:28:46 2021
Received: from localhost ([127.0.0.1]:44273 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mf4iE-0004pe-4N
	for submit <at> debbugs.gnu.org; Mon, 25 Oct 2021 14:28:46 -0400
Received: from mail.ericabrahamsen.net ([52.70.2.18]:37618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1mf4iB-0004pQ-P2
 for 51335 <at> debbugs.gnu.org; Mon, 25 Oct 2021 14:28:44 -0400
Received: from localhost (c-71-197-232-156.hsd1.wa.comcast.net
 [71.197.232.156]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 0B19EFA02A;
 Mon, 25 Oct 2021 18:28:36 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1635186517;
 bh=77cc2ALKAg1gY/+q6lCIQVniJvlGpKGwL7MHYdEAcSo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=xuMMN3ctiFWWwIXI9VuoNv1RLwbHPiV3Hmc4YDYhV4dwBoKXkUrRWAkrV8CDlp+pg
 OlWtq4Zvmew0HJJtfHR3Kn3z4dFnQfkdkbiqwQAQGL5r2bSxwNQQAE2ZuNygZsY7Xe
 na6Q+ybCGjYhhgokFbNT1TGk+C0FCN5R84My+I8Y=
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN> <87o87e46bv.fsf@HIDDEN>
Date: Mon, 25 Oct 2021 11:28:35 -0700
In-Reply-To: <87o87e46bv.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 24 Oct 2021 20:37:40 +0200")
Message-ID: <87k0i13qng.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


On 10/24/21 20:37 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <eric@HIDDEN> writes:
>
>> - Calls `ding'. This function returns nil on my system, dunno if it does
>>   anything on other systems.
>
> (ding) gives a beep and/or flashes the "visual bell", but many people
> has switched off both -- so you get neither.
>
>> That means there are only
>> three places where the `message' isn't immediately swallowed by whatever
>> comes next (and there's almost always another message coming next),
>> which really means there are only three places where `gnus-error' does
>> anything different from `gnus-message'.
>
> Well, it depends on how you've configured your messaging level...

But both `gnus-error' and `gnus-message' consult the same verbosity
option, so they're not really much different.

>> I think the main concerns here are making sure the user actually sees
>> important messages, through a combination of splitting them off into
>> their own buffer, so they don't get lost in *Messages*, and potentially
>> delaying display until a particular action is complete, and the user has
>> a chance to see them.
>
> My worry is that we're annoying users with warnings that aren't
> interesting.

I haven't changed how `gnus-verbose' works, so that filter does the same
thing it always has. The only real difference is that messages/errors go
into a dedicated buffer, and the user has the option to keep the buffer
hidden (the default), pop it up with a command, or fit it into their
existing Gnus window configuration however they like.

For instance, my *Group* configuration contains nothing but the *Group*
buffer: the right two-thirds of the frame are whitespace. I'd probably
make the *Gnus Log* buffer always visible there, and always hide it
otherwise.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51335 <at> debbugs.gnu.org:


Received: (at 51335) by debbugs.gnu.org; 24 Oct 2021 18:37:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 24 14:37:59 2021
Received: from localhost ([127.0.0.1]:40845 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meiNb-0002tr-DV
	for submit <at> debbugs.gnu.org; Sun, 24 Oct 2021 14:37:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1meiNS-0002tV-1K
 for 51335 <at> debbugs.gnu.org; Sun, 24 Oct 2021 14:37:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=KI1z+e+9wg8WYGMzifCKmEAKEWtiiBQ1gzW5OTr8LoA=; b=J7S6fjK22een5kWOn2k/gqvbT5
 VM88d4tdbSMcKmlY3p7oL0jjbIubmZFYMQpcBMv5+144iv/SZmia4PnJ0r8dBUN4pgvkXtny1JYen
 4P+CMGhU4x8PUnhi/BY733d4bjj8NXKPVDgjDmj+10/ETTDM6o5cublveJD4PwaPAb1o=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1meiNI-0001XQ-PD; Sun, 24 Oct 2021 20:37:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#51335: 29.0.50; Use warnings facility for reporting Gnus
 errors
References: <87sfwtxa6w.fsf@HIDDEN>
Date: Sun, 24 Oct 2021 20:37:40 +0200
In-Reply-To: <87sfwtxa6w.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 22 Oct 2021 10:04:39 -0700")
Message-ID: <87o87e46bv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > - Calls
 `ding'. This function returns nil on my system, dunno if it does > anything
 on other systems. (ding) gives a beep and/or flashes the "visual bell", but
 many people has switched off both -- so you get neither. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51335
Cc: 51335 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eric Abrahamsen <eric@HIDDEN> writes:

> - Calls `ding'. This function returns nil on my system, dunno if it does
>   anything on other systems.

(ding) gives a beep and/or flashes the "visual bell", but many people
has switched off both -- so you get neither.

> That means there are only
> three places where the `message' isn't immediately swallowed by whatever
> comes next (and there's almost always another message coming next),
> which really means there are only three places where `gnus-error' does
> anything different from `gnus-message'.

Well, it depends on how you've configured your messaging level...

> I think the main concerns here are making sure the user actually sees
> important messages, through a combination of splitting them off into
> their own buffer, so they don't get lost in *Messages*, and potentially
> delaying display until a particular action is complete, and the user has
> a chance to see them.

My worry is that we're annoying users with warnings that aren't interesting.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2021 17:05:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 22 13:05:00 2021
Received: from localhost ([127.0.0.1]:33731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdxyV-00010Z-H2
	for submit <at> debbugs.gnu.org; Fri, 22 Oct 2021 13:05:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:50298)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1mdxyQ-00010P-GY
 for submit <at> debbugs.gnu.org; Fri, 22 Oct 2021 13:04:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51586)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eric@HIDDEN>)
 id 1mdxyQ-00058H-61
 for bug-gnu-emacs@HIDDEN; Fri, 22 Oct 2021 13:04:54 -0400
Received: from mail.ericabrahamsen.net ([52.70.2.18]:40010)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eric@HIDDEN>)
 id 1mdxyK-0002jN-Hb
 for bug-gnu-emacs@HIDDEN; Fri, 22 Oct 2021 13:04:53 -0400
Received: from localhost (c-71-197-232-156.hsd1.wa.comcast.net
 [71.197.232.156]) (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id B0665FA098
 for <bug-gnu-emacs@HIDDEN>; Fri, 22 Oct 2021 17:04:40 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericabrahamsen.net;
 s=mail; t=1634922281;
 bh=v/S6IY/d02B66JUeoIfUF/vThpNq/wARel3p7Ygfkh8=;
 h=From:To:Subject:Date:From;
 b=kEczdhasWZCHRSYg06SwAoWTClYWpOdD5P+Zorad9dguEUhX3opgnCcVP+p4TWtSu
 lr8gpsqvnYRe0rrY9caZITiQhTJt9M9S4l6B+rTOFZypKe0OOLzbwcoHoTeMjl2pLc
 oK9I07aU8kU1W9i9R5hGgxHK1jtfdC2HaAWBdijY=
From: Eric Abrahamsen <eric@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Use warnings facility for reporting Gnus errors
Date: Fri, 22 Oct 2021 10:04:39 -0700
Message-ID: <87sfwtxa6w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=52.70.2.18; envelope-from=eric@HIDDEN;
 helo=mail.ericabrahamsen.net
X-Spam_score_int: -24
X-Spam_score: -2.5
X-Spam_bar: --
X-Spam_report: (-2.5 / 5.0 requ) DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RCVD_IN_DNSWL_MED=-2.3,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


In gnus.user there was a longish conversation about how to better report
the failure of Gnus mail source fetching to the user.

I originally went off on a grand adventure of defining custom errors for
various kinds of Gnus situations, for use in flow control. I still think
that's a good idea, but `nnheader-report' currently does the core of
that job for backend-specific errors, and it's fairly well-developed,
and there's not necessarily anything that needs fixing there.

And the original bug report was more about making errors visible to the
user than flow control, so I went back to that. Apart from fundamental
backend errors, other errors and failures are surfaced with
`gnus-message' and `gnus-error'. Both are gated by the integer value of
`gnus-verbose': higher numbers indicate less-important messages.

The more I fooled with things, the more it looked like improvements
could be made in `gnus-error'. It does a few things:

- Calls `ding'. This function returns nil on my system, dunno if it does
  anything on other systems.
- Displays the error using `message'.
- If the error level is a float, it uses the "float part" as a number of
  seconds to `sit-for' while displaying the error message. So an error
  level 4.5 would (if `gnus-verbose' were 4 or lower) display for 5
  seconds.

So obviously the purpose of this function is to get the user's
attention, in appropriate situations. But `ding' doesn't seem to do
anything, and there are only three places in the Gnus codebase where
`gnus-error' is called with a float value. That means there are only
three places where the `message' isn't immediately swallowed by whatever
comes next (and there's almost always another message coming next),
which really means there are only three places where `gnus-error' does
anything different from `gnus-message'.

The point here was to alert the user to failures in a non-annoying way,
and I think the warnings facility might be a better way of doing that.
`delay-warning', in particular, with a custom warning buffer. The
attached is a code sketch of that. Some points:

- It's hard-coded to prevent buffer pop-up, instead letting the user add
  the buffer to Gnus' window configuration, or call an interactive
  command to see it. We could also do something like put a note in the
  mode-line when there are new log messages to view.
- I've referred to all this as "logging" rather than "warnings", as that
  seems more general.
- gnus-message can also add strings to `gnus-action-message-log', which
  is consulted at the end of startup and maybe displayed with
  `gnus-final-warning'. That only happens once, at startup; it seems
  like a complicated mechanism to only use once. I think this could be
  replaced by warnings.
- Actually I think both `gnus-message' and `gnus-error' could be
  replaced with a `gnus-log' function, but that's something that could
  be played with later on.

I think the main concerns here are making sure the user actually sees
important messages, through a combination of splitting them off into
their own buffer, so they don't get lost in *Messages*, and potentially
delaying display until a particular action is complete, and the user has
a chance to see them.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=gnus-log-warnings.diff

diff --git a/lisp/gnus/gnus-util.el b/lisp/gnus/gnus-util.el
index a777157f89..58edc55877 100644
--- a/lisp/gnus/gnus-util.el
+++ b/lisp/gnus/gnus-util.el
@@ -511,15 +511,10 @@ gnus-final-warning
 	     (mapconcat #'identity gnus-action-message-log "; "))))
 
 (defun gnus-error (level &rest args)
-  "Beep an error if LEVEL is equal to or less than `gnus-verbose'.
+  "Log an error if LEVEL is equal to or less than `gnus-verbose'.
 ARGS are passed to `message'."
   (when (<= (floor level) gnus-verbose)
-    (apply #'message args)
-    (ding)
-    (let (duration)
-      (when (and (floatp level)
-		 (not (zerop (setq duration (* 10 (- level (floor level)))))))
-	(sit-for duration))))
+    (delay-warning '(gnus) (apply #'message args) :warning "*Gnus Log*"))
   nil)
 
 (defun gnus-split-references (references)
@@ -1252,6 +1247,16 @@ gnus-create-info-command
     (setq gnus-info-buffer (current-buffer))
     (gnus-configure-windows 'info)))
 
+(defun gnus-display-log ()
+  "Pop up a window displaying the *Gnus Log* buffer."
+  (interactive)
+  ;; We just use plain `display-buffer' here.  If the user wants to
+  ;; compose the log buffer as part of a Gnus window configuration,
+  ;; they can do that in `gnus-buffer-configuration'.  If they want to
+  ;; control how this display works, they can configure
+  ;; `display-buffer-alist'.
+  (display-buffer "*Gnus Log*"))
+
 (defun gnus-not-ignore (&rest _args)
   t)
 
diff --git a/lisp/gnus/gnus-win.el b/lisp/gnus/gnus-win.el
index 8ac4e39fa5..9fafe88bcf 100644
--- a/lisp/gnus/gnus-win.el
+++ b/lisp/gnus/gnus-win.el
@@ -188,6 +188,7 @@ gnus-window-to-buffer
     (score-trace . "*Score Trace*")
     (split-trace . "*Split Trace*")
     (info . gnus-info-buffer)
+    (log . "*Gnus Log*")
     (category . gnus-category-buffer)
     (article-copy . gnus-article-copy)
     (draft . gnus-draft-buffer)
diff --git a/lisp/gnus/gnus.el b/lisp/gnus/gnus.el
index 6644cc4d81..c162b58d22 100644
--- a/lisp/gnus/gnus.el
+++ b/lisp/gnus/gnus.el
@@ -48,6 +48,11 @@ gnus-spam-resend-to
 (defvar gnus-ham-resend-to)
 (defvar gnus-spam-process-newsgroups)
 
+;; We suppress the display of all Gnus warnings: they go to a separate
+;; buffer, and should only be displayed as part of Gnus' own window
+;; display routines (or explicitly with `gnus-display-log').
+
+(cl-pushnew 'gnus warning-suppress-types)
 
 (defgroup gnus nil
   "The coffee-brewing, all singing, all dancing, kitchen sink newsreader."
diff --git a/lisp/gnus/mail-source.el b/lisp/gnus/mail-source.el
index af0a198376..c2ec48cc86 100644
--- a/lisp/gnus/mail-source.el
+++ b/lisp/gnus/mail-source.el
@@ -554,18 +554,15 @@ mail-source-fetch
 		 (condition-case err
 		     (funcall function source callback)
 		   (error
-		    (if (and (not mail-source-ignore-errors)
-			     (not
-			      (yes-or-no-p
-			       (format "Mail source %s error (%s).  Continue? "
-				       (if (memq ':password source)
-					   (let ((s (copy-sequence source)))
-					     (setcar (cdr (memq ':password s))
-						     "********")
-					     s)
-					 source)
-				       (cadr err)))))
-		      (error "Cannot get new mail"))
+		    (unless mail-source-ignore-errors
+		      (error "Mail source %s error (%s)"
+                             (if (memq ':password source)
+                                 (let ((s (copy-sequence source)))
+                                   (setcar (cdr (memq ':password s))
+	                                   "********")
+                                   s)
+                               source)
+                             (cadr err)))
 		    0)))))))))
 
 (declare-function gnus-message "gnus-util" (level &rest args))
diff --git a/lisp/gnus/nnmail.el b/lisp/gnus/nnmail.el
index bcf01cfa9e..a9a778f458 100644
--- a/lisp/gnus/nnmail.el
+++ b/lisp/gnus/nnmail.el
@@ -1842,7 +1842,7 @@ nnmail-get-new-mail-1
 							    src)))
 			      ansym))))
 		      ((error quit)
-		       (message "Mail source %s failed: %s" source cond)
+		       (gnus-error 5 cond)
 		       0)))
 	  (cl-incf total new)
 	  (cl-incf i)))

--=-=-=--




Acknowledgement sent to Eric Abrahamsen <eric@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51335; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Dec 2021 22:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.